<?php
/**
 * Created by PhpStorm.
 * User: anchi
 * Date: 09.12.2019
 * Time: 1:30
 */

namespace core;


class Registry
{
    use TSingletone;
    public static $properties;
    public function setProperties($name, $value){
        self::$properties[$name] = $value;
    }
    public function getProperty($name){
        if(isset($properties[$name])){
            return self::$properties[$name];
        }
        return null;
    }
    public function getProperties(){
        return self::$properties;
    }
}